#!/bin/bash

# This script upgrades an Eclipse installation with Subversive and Buckminster
# Run this script from within your Eclipse installation you want to upgrade, i.e.,
# this script assumes to be in the same folder as your Eclipse launcher.

echo Installing Subversive from eclipse.org and polarion.org ...
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/releases/luna -installIU org.eclipse.team.svn.feature.group,org.eclipse.team.svn.resource.ignore.rules.jdt.feature.group,org.eclipse.team.svn.revision.graph.feature.group
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://community.polarion.com/projects/subversive/download/eclipse/4.0/luna-site -installIU org.polarion.eclipse.team.svn.connector.feature.group,org.polarion.eclipse.team.svn.connector.svnkit18.feature.group

echo Installing Buckminster from eclipse.org ...
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/releases/luna -installIU org.eclipse.zest.feature.group,org.eclipse.zest.sdk.feature.group
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/tools/buckminster/updates-4.4M6/ -installIU org.eclipse.buckminster.core.feature.feature.group,org.eclipse.buckminster.pde.feature.feature.group,org.eclipse.buckminster.subversive.feature.feature.group

